Subject: Re: bug#13100: 24.2; c-guess-basic-syntax of cc-engine returned wrong syntactic context if init list of C++ class constructor is too long

From: Alan Mackenzie <[email-masked]>
Date: Mon, 30 Sep 2019 18:42:47 +0000

Hello, Stefan.

On Mon, Sep 30, 2019 at 18:45:54 +0200, Stefan Kangas wrote:
> Yangyingchao <[email-masked]> writes:

> > I'm a c++ programer, and sometimes I need to initialize lots of
> > member fields during in a constructor. Sometimes when the init list
> > is too long, cc mode will treat some member-init-cont as
> > topmost-init-cont, and then gives a wrong indention.

> > After some debuging, I found this change:

> > http://lists.gnu.org/archive/html/emacs-diffs/2012-03/msg00152.html.

> > In this change, In CASE 5B, search limit is restricted to 500. This,
> > sometimes, is not enough.

> > Best Regards
> > Tubo

> That was almost 7 years ago.  Is this still an issue?

No.  This was solved in response to another bug report by commit

3d1c39faa4744f87838ecd07fdf01787d5235186
Tue Apr 30 16:19:14 2013 +0000
Handle arbitrarily long C++ member initialisation lists.

Please feel free to close this bug report.

> Best regards,
> Stefan Kangas

-- 
Alan Mackenzie (Nuremberg, Germany).